<template>
  <v-select
    :readonly="readonly"
    :label="label"
    :items="businessTypes"
    item-value="id"
    item-text="name"
    v-model="selectedValue"
  />
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../plugins/api'
import { Component, Prop } from 'vue-property-decorator'

@Component({
  components: {},
})
export default class BusinessTypeSelect extends Vue {
  @Prop({ required: true }) value
  @Prop({ type: Boolean, default: false }) readonly
  @Prop({ type: String, default: 'Lloji i biznesit' }) label

  businessTypes = []

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }

  mounted() {
    this.fetchBusinessTypes()
  }
  fetchBusinessTypes() {
    api()
      .get('api/crm/business-types')
      .then(response => {
        this.businessTypes = response.data.data
      })
  }
}
</script>
